D8859: Adapt the cmake buildsystem to be able to work with KDE CI

Csaba Kert├ęsz noreply at phabricator.kde.org
Wed Dec 13 10:34:12 UTC 2017


ckertesz added a comment.


  Currently, only the following SDK versions are able to build the KStars Android package:
  
  - Qt 5.10
  - Android NDK 15c
  - Android SDK with old platform tools v23.
  
  Feedback:
  
  You must remove the "a/" and "b/" file path prefixes from the cfitsio.patch otherwise patch command can't apply it.
  
  > I don't see where the issue in libraw is, can you see if the patching actually happened on your build?
  
  Yes, the libraw patch must be applied otherwise "swab" symbol is undefined because the NDK system headers are messed between Android platform versions.

REPOSITORY
  R321 KStars

REVISION DETAIL
  https://phabricator.kde.org/D8859

To: apol, mutlaqja
Cc: ckertesz, #kde_edu, narvaez, apol
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.kde.org/pipermail/kde-edu/attachments/20171213/6aa56cbd/attachment.html>


More information about the kde-edu mailing list